HQInternalService (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.server.session.HQInternalService class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.server.session
Class HQInternalService

    java.lang.Object
      org.hyperic.hq.bizapp.server.session.HQInternalService

All Implemented Interfaces:
  HQInternalServiceMBean

    public class HQInternalService

extends java.lang.Object
implements HQInternalServiceMBean

Constructor Summary
`HQInternalService()`

Method Summary
`int` | `getAgentConnections()`
`int` | `getAgentCount()`
`long` | `getAgentRequests()`
`double` | `getMetricInsertsPerMinute()`
`double` | `getMetricsCollectedPerMinute()`
`int` | `getPlatformCount()`
`long` | `getTransactionCount()`
`long` | `getTransactionFailureCount()`
`long` | `getZeventMaxWait()`
`long` | `getZeventQueueSize()`
`long` | `getZeventsProcessed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HQInternalService

    public HQInternalService()

Method Detail

### getMetricInsertsPerMinute

    public double getMetricInsertsPerMinute()

  Specified by:
    `getMetricInsertsPerMinute` in interface `HQInternalServiceMBean`

### getAgentCount

    public int getAgentCount()

  Specified by:
    `getAgentCount` in interface `HQInternalServiceMBean`

### getMetricsCollectedPerMinute

    public double getMetricsCollectedPerMinute()

  Specified by:
    `getMetricsCollectedPerMinute` in interface `HQInternalServiceMBean`

### getPlatformCount

    public int getPlatformCount()

  Specified by:
    `getPlatformCount` in interface `HQInternalServiceMBean`

### getTransactionCount

    public long getTransactionCount()

  Specified by:
    `getTransactionCount` in interface `HQInternalServiceMBean`

### getTransactionFailureCount

    public long getTransactionFailureCount()

  Specified by:
    `getTransactionFailureCount` in interface `HQInternalServiceMBean`

### getAgentRequests

    public long getAgentRequests()

  Specified by:
    `getAgentRequests` in interface `HQInternalServiceMBean`

### getAgentConnections

    public int getAgentConnections()

  Specified by:
    `getAgentConnections` in interface `HQInternalServiceMBean`

### getZeventMaxWait

    public long getZeventMaxWait()

  Specified by:
    `getZeventMaxWait` in interface `HQInternalServiceMBean`

### getZeventsProcessed

    public long getZeventsProcessed()

  Specified by:
    `getZeventsProcessed` in interface `HQInternalServiceMBean`

### getZeventQueueSize

    public long getZeventQueueSize()

  Specified by:
    `getZeventQueueSize` in interface `HQInternalServiceMBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.